ConfigurationProvider (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.conf, class: ConfigurationProvider

Package org.apache.hadoop.yarn.conf

# Class ConfigurationProvider

java.lang.Object
org.apache.hadoop.yarn.conf.ConfigurationProvider

@Private @Unstable public abstract class ConfigurationProvider extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigurationProvider()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `abstract void`
  `closeInternal()`
  Derived classes close themselves using this method.
  `abstract InputStream`
  `getConfigurationInputStream(org.apache.hadoop.conf.Configuration bootstrapConf, String name)`
  Opens an InputStream at the indicated file.
  `void`
  `init(org.apache.hadoop.conf.Configuration bootstrapConf)`
  `abstract void`
  `initInternal(org.apache.hadoop.conf.Configuration bootstrapConf)`
  Derived classes initialize themselves using this method.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConfigurationProvider

    public ConfigurationProvider()

- ## Method Details

  - ### init

    public void init(org.apache.hadoop.conf.Configuration bootstrapConf) throws Exception
    Throws:
      `Exception`

  - ### close

    public void close() throws Exception
    Throws:
      `Exception`

  - ### getConfigurationInputStream

    public abstract InputStream getConfigurationInputStream(org.apache.hadoop.conf.Configuration bootstrapConf, String name) throws YarnException, IOException
    Opens an InputStream at the indicated file.
    Parameters:
      `bootstrapConf` - Configuration.
      `name` - The configuration file name.
    Returns:
      configuration
    Throws:
      `YarnException` - exceptions from yarn servers.
      `IOException` - io error occur.

  - ### initInternal

    public abstract void initInternal(org.apache.hadoop.conf.Configuration bootstrapConf) throws Exception
    Derived classes initialize themselves using this method.
    Parameters:
      `bootstrapConf` - bootstrap configuration.
    Throws:
      `Exception` - exception occur.

  - ### closeInternal

    public abstract void closeInternal() throws Exception
    Derived classes close themselves using this method.
    Throws:
      `Exception` - exception occur.